/////////////////---p1
function login(){
	$.post('checkLogin',$("#login").serialize(),function(data){
		//console.log(data);
		if(data.ok==1){
			$('.login_form .tips').html("<span><i class=\"layui-icon layui-icon-ok-circle\"></i> "+data.msg+"</span>");
			setTimeout(function(){
				location.href = "/admin";
			},1500);
		}else{
			$('.login_form .tips').html("<span><i class=\"layui-icon layui-icon-tips\"></i> "+data.msg+"</span>");
			$('input[name="__token__"]').val(data.tk);
			$('#captcha').click();
		}
    });
	return false;
}
//后台登录

/////////////////---p2
var div_w='';
window.onload = function(){
	div_w=$('.layui-tags div').width();
	//is_xu(0);
};
window.onresize = function(){
	div_w=$('.layui-tags div').width();
	is_auto_reset();
};

var add_cs=1;
function is_reset(gt){
	//重置标签
	var li_su=Number($('.layui-tags div ul li').length);
	if(gt==0){
		var ys=$('.layui-tags div ul li');
	}else{
		var ngt=gt-1;
		var ys=$('.layui-tags div ul li:gt('+ngt+')');
	}

	var sum_li =0;
	ys.each(function(){
		sum_li+=$(this).outerWidth();
		xu=$(this).index();
		if(sum_li>=div_w){ return false; }
	});
	var is_1=li_su-xu;
	if(is_1==1){ var xu=xu+1; }
	if(is_1==1 && sum_li>div_w){ var xu=xu-1; }
	if(add_cs>2){ var gli=add_cs-2; $('.layui-tags div ul').find('.li_'+gli).hide(); }

	data_ye=add_cs-1;
	$('.layui-tags div ul').attr('data-id',data_ye);

	for(i=gt;i<xu;i++){
		$('.layui-tags div ul li:eq('+i+')').addClass('li_'+add_cs);
	}

	add_cs=add_cs+1;
	if(xu<=li_su && xu!=undefined){
		is_reset(xu);
	}
}

function page_to(to){
	//标签翻页
	var page_all=Number($('.layui-tags div ul').attr('data-id'));
	var page_now=Number($('.layui-tags div ul').attr('data-p'));
	if(page_now==0){ var page_now=page_all; }
	
	if(to==1){
		if(page_now>1 && page_all>1){
			var page_now=page_now-1;
			$('.layui-tags div ul').attr('data-p',page_now);
			$('.layui-tags div ul li').hide();
			$('.layui-tags div ul').find('.li_'+page_now).show();
		}
	}

	if(to==2){
		if(page_now<page_all && page_all>1){
			var page_now=page_now+1;
			$('.layui-tags div ul').attr('data-p',page_now);
			$('.layui-tags div ul li').hide();
			$('.layui-tags div ul').find('.li_'+page_now).show();
		}
	}
}
function li_show(){
	var page_all=Number($('.layui-tags div ul').attr('data-id'));
	var page_now=Number($('.layui-tags div ul').attr('data-p'));
	if(page_now==0){ var page_now=page_all; }
	$('.layui-tags div ul li').hide();
	$('.layui-tags div ul .li_'+page_now).show();
}

function is_auto_reset(){
	//动态重置标签
	$('.layui-tags div ul li').show();
	$('.layui-tags div ul li').attr('class','');
	$('.layui-tags div ul li:eq(0)').addClass('pr');
	add_cs=1;
	is_reset(0);
	li_show();
}
function tag_add(title,url,article){
	//添加标签
	var t5=hex_md5(title);	
	var is_cz=$('.layui-tags div ul #app-'+t5+'').attr('id');
	if(is_cz!='' && is_cz!=undefined){ tag_active(t5,url,article);return false; }
	$('.layui-tags div ul').append('<li id=\'app-'+t5+'\'>'+title+'<i class=\"layui-icon layui-icon-close layui-circle\"></i></li>');
	$('.layui-body iframe').hide();
	$('.layui-body').append('<iframe src=\''+url+'\' name=\"'+t5+'\" id=\'app-'+t5+'\'></iframe>');
	$('.layui-tags div ul li').attr('class','');
	$('.layui-tags div ul li:eq(0)').addClass('pr');
	$('.layui-tags div ul li:last').addClass('active');
	$('.layui-tags div ul').attr('data-p',0);
	add_cs=1;
	is_reset(0);
	li_show();
}

function tag_active(t5,url,article){
	//标签已存在
	
	$('.layui-tags div ul li').removeClass('active');
	var tags_lis=$('.layui-tags div ul #app-'+t5+'').attr('class');
	var tag_substr=tags_lis.substr(3)
	$('.layui-tags div ul #app-'+t5+'').addClass('active');
	$('.layui-body iframe').hide();
	var app_id=$('.layui-body  #app-'+t5+'');
	app_id.show();
	if(article==1){
		//文章添加修改页存在时 换新信息更新地址
		app_id.attr('src',url);
	}else{
		app_id.attr('src',app_id.attr('src'));
	}
	
	$('.layui-tags div ul').attr('data-p',tag_substr);
	$('.layui-tags div ul li').hide();
	$('.layui-tags div ul').find('.li_'+tag_substr).show();
}

$("body").on('click','.layui-tags div ul li',function(){
	//点击标签
	var id=$(this).attr('id');
	$('.layui-tags div ul li').removeClass('active');
	$(this).addClass('active');
	$('.layui-body iframe').hide();
	$('.layui-body  #'+id+'').show();
	
	//点击内容管理标签时 刷新三级页面
	if(id=='app-a74f0dfd27be485d812ff61ee99a9b1b'){
		window.frames['a74f0dfd27be485d812ff61ee99a9b1b'].article_reload();
	}
});

$("body").on('click','.layui-icon-close',function(e){
	//删除标签
	e.stopPropagation();
	var tag_mb=Number($(this).parent().index())-1;
	$(this).parent().remove();
	var app_id=$(this).parent().attr('id');
	var this_class=$(this).parent().attr('class');
	var this_indexOf=this_class.indexOf('active');
	if(this_indexOf==-1){//不是active 计算active位置
		var tag_active_wz=$('.layui-tags div ul .active').index();
	}
	$('.layui-body').find('#'+app_id+'').remove();
	var app_xu=$(this).parent().index();
	$('.layui-tags div ul li').show();
	$('.layui-tags div ul li').attr('class','');
	$('.layui-tags div ul li:eq(0)').addClass('pr');

	if(this_indexOf==-1){//不是active 重新添加active
		$('.layui-tags div ul li:eq('+tag_active_wz+')').addClass('active');
	}else{
		$('.layui-tags div ul li:eq('+tag_mb+')').addClass('active');
		$('.layui-body iframe:eq('+tag_mb+')').show();
		//show_iframe
		
		//关闭页面的时候 当前页面是内容管理 刷新三级页面
		var nrgl=$('.layui-body iframe:eq('+tag_mb+')').attr('name');
		if(nrgl=='a74f0dfd27be485d812ff61ee99a9b1b'){
			window.frames['a74f0dfd27be485d812ff61ee99a9b1b'].article_reload();
		}

	}
	
	//setTimeout(function(){
	add_cs=1;
	is_reset(0);
	li_show();
	//},200);
});
//Tags 计算

/////////////////---p3
$(document).ready(function(){
	$("body").on('click','.tq_nav ul .one',function(){
		var tq_nav_index=$(this).index();
		
		var type=$(this).parents('.layui-side-w').index();
		
		if(tq_nav_index==0){
			var tq_nav_ul=$(this).parent('ul');
			var tq_nav_h=tq_nav_ul.height();
			var tq_nav_icon=$(this).find('a .icon_r');
			//var tq_nav_open=(Number($(this).siblings('li').length)+1)*37;
			var tq_nav_open=(Number($(this).next().find('li').length)+1)*37;
			

			if(tq_nav_h>37){
				var tq_nav_open=37;
				tq_nav_icon.removeClass('layui-icon-down').addClass('layui-icon-right');
			}else{
				tq_nav_icon.removeClass('layui-icon-right').addClass('layui-icon-down');
			}
			tq_nav_ul.animate({height:''+tq_nav_open+'px'});
		}
	});
	
	$("body").on('click','.layui-side-w .two a',function(){
		//$(this).parents('.two').attr('style','display:inline');
	});
	
});
//left 菜单


//后台图片预览列表页+add exit
$(function(){ 
	$("body").on('click','.tq_img_look',function(){
		var file=$(this).attr('data-file');
		if(file!=''){
			window.top.index_look(file);
		}
	});
	
	//删除上传图片
	$(".tq_img_delete").click(function(){
		$('#upimg_pic').val('');
		$('#img_pic_show').attr('src','/static/tqcms/img/upload-pic.png');
		$('.yulan_pic').attr('data-file','');
	});

	$("body").on('click','.tq_img_look_div',function(e){
		e.stopPropagation();
		$('.tq_img_look_shade ,.tq_img_look_div').remove();
	});
	
	
});

function index_look(file){
	var h=$(window).height();
	$('body').append(
		'<div class=\'tq_img_look_shade\'></div>'+
		'<div class="tq_img_look_div" style=\'line-height:'+h+'px\'><img src=\''+file+'\' title=\'点击关闭\' /></div>'
	);
}